import { Component, h, Prop, Event, } from "@stencil/core";
export class PopoverSiteSelect {
  constructor() {
    this.sites = [];
  }
  render() {
    return (h("ion-content", { style: {
        "--background": "var(--ion-color-base)",
      } },
      h("ion-list", null,
        (this.sites ? this.sites : []).map((site) => (h("floodteam-item-site", { onClick: (event) => this.floodteamSelect.emit({ event, site }), site: site }))),
        h("ion-item", { href: "#", onClick: (event) => this.floodteamSelect.emit({ event, site: null }) },
          h("ion-label", null, "Add Site"),
          h("ion-icon", { name: "add-circle", slot: "end", color: "primary" })))));
  }
  static get is() { return "popover-site-select"; }
  static get originalStyleUrls() { return {
    "$": ["popover-site-select.css"]
  }; }
  static get styleUrls() { return {
    "$": ["popover-site-select.css"]
  }; }
  static get properties() { return {
    "sites": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Site[]",
        "resolved": "Site[]",
        "references": {
          "Site": {
            "location": "import",
            "path": "../../../sdk"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "defaultValue": "[]"
    }
  }; }
  static get events() { return [{
      "method": "floodteamSelect",
      "name": "floodteamSelect",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
}
